
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Asp事务处理_应用技巧 / iVAN</title>

    <meta name="description" content="Asp事务处理_应用技巧 在编程中,经常需要使用事务.所谓事务,就是一系列必须都成功的操作,只要有一步操作失败,所有其他的步骤也必须撤销.比如用ASP开发一个网络硬盘系统,其用户注册部分要做的事有:   1.将用户信息记入数据库   2.为用户开个文件夹用于存储   3.初始化用户操作日志  这三步必须使用事务,否则万一磁盘操作失败,而没有撤销数据库操作,就会造成只能登陆而不能操作的&quot;死用户&quot;现象.  由于数据库系统特殊的发展历史,小至Access,大到DB2,无不带有事务支持.因此上述步骤可以如下表 ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">Asp事务处理_应用技巧</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>在编程中，经常需要使用事务。所谓事务，就是一系列必须都成功的操作，只要有一步操作失败，所有其他的步骤也必须撤销。比如用ASP开发一个网络硬盘系统，其用户注册部分要做的事有：   <br />　　1、将用户信息记入数据库   <br />　　2、为用户开个文件夹用于存储   <br />　　3、初始化用户操作日志 </p>
<p>　　这三步必须使用事务，否则万一磁盘操作失败，而没有撤销数据库操作，就会造成只能登陆而不能操作的“死用户”现象。 </p>
<p>　　由于数据库系统特殊的发展历史，小至Access，大到DB2,无不带有事务支持。因此上述步骤可以如下表示： </p>
<p>以下是引用片段： <br />On Error Resume Next   <br />　第一步：   <br />　　在事务环境下把用户信息记入数据库   <br />　If Err Then   <br />　　关闭连接   <br />　　退出   <br />　Else   <br />　　第二步：创建文件夹   <br />　　If Err Then   <br />　　　回滚第一步数据库操作，退出   <br />　　Else   <br />　　　第三步：在事务环境下操作日志数据库   <br />　　　If Err Then   <br />　　　　回滚第一步操作，删除第二步建立的文件夹   <br />　　　　退出   <br />　　　End If   <br />　　End If   <br />　End If   <br />　提交第一步数据库操作的事务   <br />　提交第二步数据库操作的事务   <br />End </p>
<p>　　每一步都需要进行判断，如果失败，还需要手工回滚前面多步操作，使程序变得复杂、难懂。如果今后更新了程序，增加其他步骤，还需要嵌套更多层的If...Else...End If，使程序流程更加复杂。 </p>
<p>　　正确的解决办法是使用ASP的事务控制功能。IIS通过和MTS服务联系，可以控制多种支持事务的系统，当程序发出“失败”的信号时，所有支持事务的系统均将自动回滚，即使操作已经正式完成；对不支持事务的操作也提供了方便的手工回滚方式。上面的例子用ASP事务控制功能重写如下： </p>
<p><u>复制代码</u> 代码如下:</p>
<p>&lt;%@ TRANSACTION = Required %&gt;   <br />On Error Resume Next  </p>
<p>Set Conn=Server.CreateObject("ADODB.Connection")   <br />Conn.Open ....   <br />Conn.Execute "INSERT...."   <br />Conn.Close   <br />Set Conn=Nothing  </p>
<p>Set Conn2=Server.CreateObject("ADODB.Connection")   <br />Conn2.Open ....   <br />Conn2.Execute "INSERT...."   <br />Conn2.Close   <br />Set Conn2=Nothing  </p>
<p>Set FSO=Server.CreateObject("Scripting.FilesystemObject")   <br />FSO.CreateFolder "...."  </p>
<p>If Err Then   <br />ObjectContext.SetAbort '通知所有支持事务的组件回滚，并运行手工回滚代码   <br />Else   <br />ObjectContext.SetComplete   <br />End If   <br />Set FSO=Nothing  </p>
<p>Sub OnTransactionAbort   <br />Response.Write "错误"   <br />FSO.DeleteFile Server.Mappath("a.txt") 'FSO的手工回滚——删除文件夹   <br />End Sub   <br />Sub OnTransactionCommit   <br />Response.Write "胜利完成任务"   <br />End Sub   <br />%&gt; </p>
<p>　　第一行的&lt;%@ TRANSACTION = Required %&gt;表示这一页ASP文件需要MTS的事务支持。中间的各个操作都按普通顺序书写，而不用考虑回滚问题。在程序最后判断是否有错误。如果有，调用ObjectContext的SetAbort方法，IIS会通过MTS服务通知所有支持事务的组件回滚（主要是数据库），并且运行Sub OnTransactionAbort对不支持事务的操作手工回滚；如果没有发生错误，调用ObjectContext的SetComplete方法，则会运行Sub OnTransactionCommit来显示成功的消息。 </p>
<p>　　整个ASP程序不需要为判断错误和回滚操作书写多余的代码，只须在最后进行判断，即使今后增加了多步操作，也只需要在Sub OnTransactionAbort中进行控制即可，非常方便，程序员可以专注于过程编写而不是书写纠错代码。 </p>
<p>　　其实ASP还提供了许多更有用的功能，等着我们使用，千万不要以为ASP使用脚本语言，功能就一定弱。</p>
<p>以下是引用片段： <br />&lt;%   <br />'asp事务处理。   <br />'测试数据库为sql server，服务器为本机，数据库名为test，表名为a，两个字段id(int)主键标识,num(int)   <br />set conn=server.CreateObject("adodb.connection")    <br />strConn="provider=sqloledb.1;persist security info=false;uid=sa;pwd=sa;Initial Catalog=test;Data Source=."   <br />conn.Open strConn   <br />'以上代码建立数据库连接   <br />conn.BeginTrans '事务开始   <br />strSql1="update a set num=1000 where id=24" '第一个sql语句为update。（语法正确）   <br />strSql2="insert into a(num) values('a')" '第二个sql语句为错误的sql语句   <br />strSql3="insert into a(num) values(33333)" '第三个sql语句为正确的sql语句   </p>
<p>call conn.execute(strSql1)    <br />call conn.execute(strSql2)    <br />call conn.execute(strSql3)   </p>
<p>if conn.Errors.Count=0 then    <br />conn.CommitTrans '如果没有conn错误，则执行事务提交   <br />else    <br />conn.RollbackTrans '否则回滚   <br />end if   <br />%&gt; </p>
<p>以上代码经调试，可以正常的进行事务处理。但是有时候，我们并不想将编译错误显示给用户。  <br />则我们需要在conn.BeginTrans后面加上On error resume next  <br />但是因为用到了On error resume next。conn.Errors.Count只能获得最后一个数据库操作的conn返回的结果 。上面的三个sql语句，因为最后一个sql语句是正确的，则此事务处理就无效了。那我们需要对出错处理作出相对应的修改。  <br />if conn.Errors.Count=0 then应该改为if err.number=0 then  <br />这样，我们可以在数据库回滚后同时做出其他相对应的操作或者提示。修改后的代码如下：  <br />以下是引用片段： <br />&lt;%   <br />set conn=server.CreateObject("adodb.connection")    <br />strConn="provider=sqloledb.1;persist security info=false;uid=sa;pwd=sa;Initial Catalog=test;Data Source=."   <br />conn.Open strConn   <br />'以上代码建立数据库连接   <br />conn.BeginTrans '事务开始   <br />on error resume next '增加的代码   <br />strSql1="update a set num=1000 where id=24" '第一个sql语句为update。（语法正确）   <br />strSql2="insert into a(num) values('a')" '第二个sql语句为错误的sql语句   <br />strSql3="insert into a(num) values(33333)" '第三个sql语句为正确的sql语句   </p>
<p>call conn.execute(strSql1)    <br />call conn.execute(strSql2)    <br />call conn.execute(strSql3)   </p>
<p>if err.number =0 then    <br />conn.CommitTrans '如果没有conn错误，则执行事务提交   <br />else    <br />conn.RollbackTrans '否则回滚   <br />'回滚后的其他操作   <br />strerr=err.Description   <br />Response.Write "数据库错误！错误日志：&lt;font color=red&gt;"&amp;strerr &amp;"&lt;/font&gt;"   <br />Response.End    <br />end if<br />%&gt; </p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-13 05:02:09</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/asp%e4%ba%8b%e5%8a%a1%e5%a4%84%e7%90%86/" title="Asp事务处理">Asp事务处理</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>Asp事务处理_应用技巧的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MvYn01b.html" rel="bookmark">ASP 指南&lowbar;应用技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				简介 &quot;Active Server Page (ASP)&quot;应用程序的成功常常取决于对体系结构和设计这两方面的取舍.考虑到 ASP 技术的范围之广和当前应用程序固有的复杂性,这种取舍是非常困难的.本文中,我将为您提供一些特定的指导方针,以助您成功开发基于 ASP 的应用程序. 从过去成功的开发模式经验中,我们总结出以下原则. 我已将指导方针整理成一组开发原则.在评估解决方案和技术时,可以应用以下原则帮助您做出决策.以下原则是我长期以来从成功的开发模式所得的经验积累. 原则 1:采用标准方			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b3ZY00z.html" rel="bookmark">适合所有网站的rss和xml聚合功能asp代码&lowbar;应用技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				rss.asp格式的 下面代码保存为rss.asp 复制代码 代码如下: &lt;!--#include file=&quot;conn.asp&quot;--&gt; &lt;% strURL = &quot;http://&quot; &amp; request.servervariables(&quot;server_name&quot;) &amp; _ left(request.servervariables(&quot;script_name&quot;),len(request.server			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p8NGDPb.html" rel="bookmark">为google量身定做的sitemap生成代码asp版&lowbar;应用技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				外面很多所谓sitemap生成代码都只生成目录文件地址,没生成动态的,我后来自己写了这个,是支持动态的,例子: 如你是文章网站,文章有2000条,那你修改下对应你的文章数据表,即可生成除了所有目录文件外,还生成你的动态2000条地址,绝对的没话说,生成速度非常快 把下面代码保存为sitemap.asp文件,修改我已注明的几个地方,其他的一概不要修改,好不好用过才知道. 复制代码 代码如下: &lt;!--#include file=&quot;conn.asp&quot;--&gt; &lt;% sess			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pddo21p.html" rel="bookmark">把网页中的&lpar;电话，qq等数字&rpar;生成图片的ASP程序&lowbar;应用技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				作用:用ASP程序将页面中的电话号码生成图片格式. 复制代码 代码如下: &lt;% Call Com_CreatValidCode(Request.QueryString(&quot;tel&quot;)) Public Sub Com_CreatValidCode(pTel) '----------禁止缓存 Response.Expires = 0 Response.AddHeader &quot;Pragma&quot;,&quot;no-cache&quot; Response.AddHeader			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MryZQWb.html" rel="bookmark">值得收藏的一些HTML、JavaScript、ASP代码&lowbar;应用技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1. CDONTS.NewMail 组件使用说明   Set MailObject = Server.CreateObject(&quot;CDONTS.NewMail&quot;)   MailObject.From = &quot;发信邮箱&quot;   MailObject.To = &quot;收信邮箱&quot;   MailObject.Cc = &quot;抄送邮箱&quot;   MailObject.Bcc = &quot;密送邮箱&quot;   MailObject.Subject			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M123X9p.html" rel="bookmark">手写个小组件&lpar;组件入门&rpar;asp版&lowbar;应用技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				动手写个小组件(组件入门) 这篇文章主要是为想将自己的ASP水平提高的人写的! 把ASP代码变成组件,开发者不仅是加快了ASP的速度,而且也能保护自己的代码.这篇文章写出来,也是为了给想开发组件网友上一堂入门课! 下面,我们会来编写一个非常简单的组件,重点是知道怎样开发DLL组件,而不是其复杂的代码!这些都要靠你们自己以后的努力了. 服务器端组件 首先,服务器端的组件要有别于客户端的组件.客户端的组件是通过网络传输,依靠HTML来起作用.而且只能在IE上有用.但是服务器端的组件是运行在服务器端,			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zJOAaDb.html" rel="bookmark">什么是ASP？如何打开ASP文件&lowbar;应用技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				ASP是基于WEB的一种编程技术,可以说是CGI的一种.它可以完成以往CGI程序的所有功能,如计数器.留言簿.公告板.聊天室等等.ASP可以轻松地实现对页面内容的动态控制,根据不同的浏览者,显示不同的页面内容.而浏览者一点觉察不出来,就像为他专门制作的页面一样.使用各种各样的组件,ASP可以完成无比强大的功能.使用FileSystemObject,可以对服务器上的文件进行操作,浏览.复制.移动.删除等.有ADO(Active Database Object,动态数据库对象)的支持,ASP对数据库			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/z44eLPz.html" rel="bookmark">PerlScript编写ASP&lpar;转载&rpar;&lowbar;应用技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Nighthawk注:  尽管这些年来Perl为广大编程爱好者所熟悉,但却对Perl存在一个令人尴尬的误解,以为Perl就是CGI,经常有人问我Perl和CGI,和PHP,和ASP比较如何如何,这是实在是件很遗憾的事情.这里特地贴出下面这篇文摘,也许能减少一些这方面的 误解.  本文将进一步讲述Perl在可嵌入技术的广域性,和PerlScript 在脚本技术领域的功用.以前的文章我说了ePerl.Embed Perl和Mod_Perl 技术,它们都是单独领域的技术,是在本身基础上的延伸.而本文将			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zOnJo8p.html" rel="bookmark">在不刷新页面的情况下调用远程asp脚本&lowbar;应用技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.请在sql server 中建一数据库 name:house 在house中运行下列脚本 if exists (select * from sysobjects where id = object_id(N´[dbo].[City]´) and OBJECTPROPERTY(id, N´IsUserTable´) = 1) drop table [dbo].[City] GO if exists (select * from sysobjects where id = object_id(N			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNE3lPb.html" rel="bookmark" class="title">CentOS如何查看当前系统下的gcc版本命令&quest;</a>
					<div>
						  CentOS如何查看当前系统下的gcc版本命令?          1. gcc -v(Display the programs invoked by the compiler) [root@lo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pm7Qg7b.html" rel="bookmark" class="title">PS合成室内美人鱼技巧</a>
					<div>
						取景是不是成为热爱摄影的你的一个问题呢?不用担心PS让你瞬间变成创意达人. 拍多了公园式的甜美写真,是否想要突破一下?可是又无从下手?那些制作精良的人像大片究竟是怎么样来实现创意的?今天我们就来分享这 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZOyJBb.html" rel="bookmark" class="title">Alienware 13配置怎么样值得买吗</a>
					<div>
						  戴尔日前发布的新版Alienware 13就是一个例子,它号称是世界首款13英寸VR-ready笔记本. Alienware 13的起始价格并不算高--至少是对于该品牌而言--不过1200美元(约 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXj0GLb.html" rel="bookmark" class="title">PS用冰火纹理打造超现实抽象人脸</a>
					<div>
						在本PS教程中,笔者将为大家演示如何用冰与火的纹理打造一个超现实的抽象人脸,最终的效果有点类似抽象派油画.在这个过程中,笔者主要会为大家讲解如何使用Photoshop的图像调整工具和自由变换工具来打造 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVw7Y4b.html" rel="bookmark" class="title">如果让我来设计新浪微博信息流</a>
					<div>
						[核心提示] 新浪微博的信息流存在着信息过剩.重复的碎片化的问题,那么可以采用什么样的方式来进行改进呢? 以前,我们玩新浪微博;之后,我们被新浪微博玩;而现在,大家慢慢逃离新浪微博.究其原因,还是感觉 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z721Bqp.html" rel="bookmark" class="title">玩CF时FPS不稳定怎么办</a>
					<div>
						1.显卡驱动出现了故障,我们可以使用鲁大师了检测电脑是否支持CF,或者进入显卡面板-通过预览调整图像设置-使用我的优先选择-侧重于性能-应用-关闭.用驱动精灵修复下显卡驱动吧. 2.如果你的桌面上有很 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvGyJrp.html" rel="bookmark" class="title">Kotlin&colon; 小菜一碟</a>
					<div>
						本文讲的是Kotlin: 小菜一碟, Kotlin 有不少很棒的特性,而其中一些如扩展函数. 高阶函数.和Null 安全性更是引人注意. 毫无疑问,这些基本而强大的特性正是这门语言的根基所在. 我喜爱 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bKkPE5b.html" rel="bookmark" class="title">标识符-一个关于子查询的问题求解决！</a>
					<div>
						问题描述 一个关于子查询的问题求解决! SELECT CASE ????????? WHEN T1.A = T2.A THEN ?????????? (SELECT T3.A FROM (SELECT ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9YXokM.html" rel="bookmark" class="title">Handling Checkboxes&comma; Radio Buttons and Select Options in jQuery &lbrack;转&rsqb;</a>
					<div>
						I figured I'd share how I've dealt with some form elements in jQuery. Sometimes you have to look at  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MN7x0Wp.html" rel="bookmark" class="title">开源项目AndroidReview学习小结（2）</a>
					<div>
						下拉刷新 下拉刷新常见的有俩大类,Android-PullToRefresh和android-Ultra-Pull-To-Refresh 前者是国外的一大神写的出现的比较早,不过好像已经停止维护了,后 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6NmvLM.html" rel="bookmark" class="title">每天敲两个代码-C源程序100例（加油）</a>
					<div>
						编译命令 gcc 1.c -o 1 (-std=c99) gcc 3.c -lm -o 3 ./1 地址: http://fightingyanping.blog.163.com/blog/stati ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqA15KM.html" rel="bookmark" class="title">传阿里欲投资聊天应用Line 域名访问不稳定</a>
					<div>
						中介交易 SEO诊断 淘宝客 云主机 技术大厅 易名中国(eName.cn)7月31日讯,据&lt;朝鲜日报&gt;消息,阿里巴巴集团与软银正谈判,希望投资日本通讯工具Line.不过,目前中国大陆访问 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MA7Z52z.html" rel="bookmark" class="title">盲目承诺就业率 社会责任拷问IT培训机构</a>
					<div>
						有统计显示,我国软件产业实现产业收入达1935.5亿元,同比增长31.2%,比电子信息制造业高出11.4个百分点,继续保持着高速增长的态势.而在之前的7年间,我国软件产业收入从2001年的796亿元增 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnKdroz.html" rel="bookmark" class="title">学生沉迷iPhone游戏患上&OpenCurlyDoubleQuote;鼠标手&rdquo;</a>
					<div>
						长期打手机游戏耍出来&quot;鼠标手&quot; 重庆晨报讯 (首席记者 王珊 通讯员 肖瑶)你的智能手机里,有没有划西瓜.连连看这样的游戏?如果你经常耍,那可得悠着点.昨日上午,快开学的陈巧(化名 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bE4Xl3z.html" rel="bookmark" class="title">Linux Shell脚本之Gitlab远程备份</a>
					<div>
						原创作品,允许转载,转载时请务必以超链接形式标明文章 原始出处 .作者信息和本声明.否则将追究法律责任.http://dgd2010.blog.51cto.com/1539422/1686043 注: ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgRx4Bb.html" rel="bookmark" class="title">Google 排名中的10 个最著名的JavaScript 库</a>
					<div>
						中介交易 SEO诊断 淘宝客 云主机 技术大厅 JavaScript 是 Web 开发与设计中不可或缺的东西,不管是一个简单的网页还是一个专业的站点,也不管你是高手还是菜鸟,如今 JavaScript ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwJak5p.html" rel="bookmark" class="title">WebSphere Commerce和Sterling OMS库存管理的使用</a>
					<div>
						在 http://www.aliyun.com/zixun/aggregation/13387.html&quot;&gt;WebSphere Commerce(简称 WC)和 Sterling OM ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxE09Bp.html" rel="bookmark" class="title">BootStrap中Datetimepicker和uploadify插件应用实例小结&lowbar;javascript技巧</a>
					<div>
						bootstrap-datetimepicker是一款轻便的时间选择插件,支持Time选择,国际化,应用起来相当简单.而uploadify则是一款支持多文件上传的插件.最近应用这两个插件做了些小应用, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ba66q2M.html" rel="bookmark" class="title">gridview分页代码（可提高分页速度&rpar;</a>
					<div>
						gridview分页代码(可提高分页速度) internal static datatable datareadertodatatable(string squery, int istart, int ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmVVE5z.html" rel="bookmark" class="title">asp&period;net数据优化方法</a>
					<div>
						使用存储过程 存储过程是存储在服务器上的一组预编译的SQL语句,类似于DOS系统中的批处理文件.存储过程具有对数据库立即访问的功能,信息处理极为迅速.使用存储过程可以避免对命令的多次编译,在执行一次后 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxEwnjp.html" rel="bookmark" class="title">Android app 用appBase快速开发购物车实例教程</a>
					<div>
						appBase基础介绍 appBase是什么? appBase是一个Android app开发的基础集合,目的是任何应用都可以在这个基础之上开发app,省去了搭建框架的时间. appBase=xuti ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mlme0Rp.html" rel="bookmark" class="title">sqlite3-Android sqlite 把用户名和其他表关联起来</a>
					<div>
						问题描述 Android sqlite 把用户名和其他表关联起来 现在做了一个登陆注册的功能,这是数据库的一个表 又做了一个功能类似日记的纪录功能,如何将这两个表关联起来,实现每人在登陆之后都看到的是 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mlm9eVp.html" rel="bookmark" class="title">总是提示 ConnectionString 属性尚未初始化&comma;只开一个表没任何问题，同时写三个数据库到第二个就提示</a>
					<div>
						问题描述 stringProductBuyIDs=&quot;&quot;,ProductBuyYouHuiJias=&quot;&quot;,BuyProductCode;stringsqlBuyN ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bj8698p.html" rel="bookmark" class="title">C&num; 有仿苹果的滑动界面控件吗？</a>
					<div>
						问题描述 C#怎么实现仿苹果的按住鼠标滑动界面特效?用PANEL或是窗体控件好做吗?谁有源码学习一下啊!!! 解决方案 解决方案二: 用panel可以实现,解决方案三: 你可以自己写一个.开源一下.( ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPWOYqM.html" rel="bookmark" class="title">Google又一次赢了 比以往更强大了</a>
					<div>
						中介交易 SEO诊断 淘宝客 云主机 技术大厅 很难想象Google在二个月前曾经是那么的弱不禁风.它的股价与最高点相比暴跌了45%.其两个最大的竞争对手━━微软.雅虎联姻似乎是&quot;板上钉钉& ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlAxeLp.html" rel="bookmark" class="title">雅虎持有阿里530亿美元股份 但投资者估值却没那么高</a>
					<div>
						据&lt;财富&gt;杂志北京时间6月16日报道,雅虎公司已经完成向Verizon出售核心互联网业务的交易,其剩余资产将在周五正式更名为Altaba.和45亿美元的核心业务出售价相比,Altaba的价 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqgrEYz.html" rel="bookmark" class="title">支付宝与银联的激烈碰撞</a>
					<div>
						● 互联网势力对线下支付业务的渗透,已经威胁到行业龙头银联的利益 ● 银联又是赛车手又是裁判,它对于第三方支付公司有着很强的威慑力 一家是银行卡支付清算巨头,另一家是互联网第三方支付的龙头老大,却为了 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYdQrQb.html" rel="bookmark" class="title">在Ubuntu中设置NFS服务器</a>
					<div>
						&amp;http://www.aliyun.com/zixun/aggregation/37954.html&quot;&gt;nbsp;   在Ubuntu中设置NFS服务器,操作如下:我试着设置 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9Nwjgp.html" rel="bookmark" class="title">微软Metro应用现更名为Win 8商店应用</a>
					<div>
						Windows 8开始界面( 腾讯科技配图)腾讯科技讯(张和)北京时间11月1日消息,据科技新闻网站CNET报道,微软首席用户体验顾问威尔·楚米(Will Tschumy)昨天在微软Build开发者大 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdB6LAb.html" rel="bookmark" class="title">&period;net搭建平台网站架构</a>
					<div>
						问题描述 .net搭建平台网站架构 现做一个平台网站,准备用.net做,要先写技术架构,书面上要写哪些方面的内容? 解决方案 老一点的就是三层架构了 当下较流行的莫过于mvc了 解决方案二: http ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.030 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
